Skip to content
GBG Documents & Biometrics Documentation

/CelebrityCheck/id

POST
/CelebrityCheck/id
curl --request POST \
--url https://liveness-v2-eu.core.idscan.cloud/CelebrityCheck/id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form FaceImageId=example \
--form 'AdditionalDetails={ "additionalProperty": "example" }'

Performs celebrity check using a face image ID.

Celebrity Check by ID endpoint allows for celebrity detection using a previously uploaded face image ID.

x-correlation-id
string

Correlation Id for the request

Media typemultipart/form-data
object
FaceImageId

The ID of the face image.

string
AdditionalDetails

Additional metadata for the request.

object
key
additional properties
string
RequestId
string
CorrelationId
string

Returns the celebrity check result.

Response from celebrity check service.

object
correlationId
string
nullable
isCelebrity

Indicates whether a celebrity was detected in the image.

boolean
celebrityName

The name of the detected celebrity, if any.

string
nullable
errorCode

Error code if any.

string
nullable
error

Error message if any.

string
nullable
additionalDetails

Additional details.

object
key
additional properties
string
nullable

Error with the provided parameters.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable

Image not found.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable

Internal error during processing.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable